About Acoustic Mirror

Acoustic Mirror

You can use Acoustic Mirror to add the acoustical coloration of real environments and sound-altering devices to existing recordings. Depending on the acoustics signature applied, Acoustic Mirror can simulate responses varying from large concert halls to the sound of vintage microphones.

Sound Forge includes an extensive library of extremely high-quality acoustic signatures (impulse responses) that you can use to simulate the acoustics of many different environments.

What do you want to do?

Use Acoustic Mirror

Create an impulse file

Use fade envelopes

Perform advanced panning


Using Acoustic Mirror

The Sound Forge CD includes impulse files that you can apply to your sound files. You can also use any .wav file that is less than 12 seconds or create your own impulse.

Most impulse files cover the entire frequency spectrum. This prevents the output from sounding too filtered. Using a frequency sweep as an impulse creates a frequency-dependent delay effect. Note also how panning in an impulse causes the stereo image of the output to flutter between channels. To generate echo effects, use staccato sounds such as short drum beats as impulse files.

Try creating sounds using the Sound Forge FM Synthesis tool and then use those files as impulses.

What do you want to do?

Apply an impulse file

  1. Select the data you want to process.

If no data is selected, processing will be applied to the entire file.

  2. From the Effects menu, choose Acoustic Mirror.

  3. Choose a preset from the Name drop-down list to set the processing quality.

  4. Specify the impulse file you want to use:

  • Type the path to an impulse file in the Impulse box.

  • Choose an impulse file from the Impulse drop-down list.

  • Click the Browse button to browse to find the impulse file you would like to use.

Impulse files that have been packaged with the Acoustic Mirror will have an .sfi (Sonic Foundry impulse) extension, but any .wav file can be used to alter the sound file. Choosing a .wav file that is not an impulse can produce interesting effects.

Adjust the mix

On the General or Envelope tab, drag the Dry Out fader to control the volume of the unprocessed signal mixed into Acoustic Mirror's output. Drag the Wet Out fader to control the volume of the processed signal.

To reproduce the characteristics of the impulse, set the Dry Out fader to -Inf dB, and use the Wet Out fader to set your level. Increase the Dry Out signal to compensate for overly wet impulse responses to enhance clarity.

Set the response width

Use the Response Width slider on the General tab to create simple stereo expansion and stereo collapsing effects.

The default setting of 50 is normal stereo operation. This is the recommended setting to maintain the stereo field of the impulse response. A higher setting will widen the stereo field, but may create an unnatural sound. Lowering this setting will narrow the stereo field. A setting of 0 is essentially mono.

Set the response delay

Drag the Response Delay slider on the General tab to control the amount of time, in milliseconds, that will elapse between the dry signal and the processed output. This can create interesting effects and add different dimensions to a reverb impulse.

A positive setting will cause the processed output to follow the dry output. A negative setting will cause the processed output to precede the dry output; i.e. a pre-delay.

Pan the signal

Drag the Pan slider to control the balance between the left and right channels in stereo files. A value of 0 indicates center position.

Apply a fade envelope and limit the decay time

Select this check box and drag the slider to limit the length of the impulse to the specified time. Also, the impulse will be faded according to the Envelope Graph defined on the Envelope tab.

Limiting the length of an impulse file will shorten the decay of the reverberation. Limiting the length also decreases the amount of processing required.

Filter the signal

The EQ section offers high and low-shelving filters to tailor the frequency response of the impulse. The cutoff frequency and gain of each filter can be independently adjusted.

To adjust the high frequencies in the processed signal, select the High-shelf start freq. check box and set the start frequency between 8,000 to 10,000 Hz. Drag the gain fader to set the amount of boost or attenuation applied to frequencies above the specified frequency.

To adjust the low frequencies in the processed signal, select the Low-shelf start freq. check box and set the start frequency near 40 Hz. Drag the gain fader to set the amount of boost or attenuation applied to frequencies below the specified frequency.

Simulate stereo environments in mono recordings

On the General tab, select the Convert mono to stereo check box. Applying any one of the room environment impulses using the Acoustic Mirror will make the file almost indiscernible from a true stereo recording.

If the stereo file sounds too reverberant, select the Apply envelope and limit decay to check box and set a low value. A value as short as 0.1 second can add stereo realism without adding reverberation.

Set processing quality

Drag the Quality/speed slider to make a trade off between the quality of processing and the speed of processing.

The first thing compromised by lowering this setting is the frequency response of the impulse. This can start to make the processed signal sound dull, and high frequencies will sound unnatural. Using low-quality processing also shortens the length of the impulse.

If you have trouble previewing in real-time, try selecting a lower level of quality. Remember to return this setting to five before processing the file if you do not want the output file to be processed at the lower quality.


Creating Impulse Files

Impulse responses can be obtained from anything that you can input a test tone into and record an audio output from. This can include acoustical spaces or any piece of audio electronics. Creating your own impulses requires a little work and may require some extra equipment that you may or may not already own.

What do you want to learn more about?

What you'll need

To recover an impulse from an acoustic space, you will need the following:

  • A playback device for the test tone.

  • A loudspeaker system to play the test tone in the space.

  • A stereo pair of microphones to record the test tone.

  • A recording device for capturing the microphones' input.

To recover an impulse from an electronic device, you will need the following:

  • A playback device for the test tone that connects to the inputs of the device.

  • A recording device that connects to the device's outputs.

The quality of the impulse will be directly affected by the quality of your playback and recording system. The flatter the response of your system, the less coloration that will be added to the impulse response.

Recording the impulse

  1. Transfer the test tone you want to use to your playback device.

    There are test tones in Test Tones folder on the Sound Forge CD-ROM. The 24-second tone will work well for most applications. As a general rule, the longer the tone, the greater the signal-to-noise ratio. However, the 48-second tone included on the CD-ROM should be used in noisy environments or when the decay time of the space you are recording in is over six seconds.

There are spikes at the beginning and end of the test tone. These should be included in the recording for easier correlation of the impulse in the later stages of the process

  2. Set up your playback system and recording system.

  • If you are recording an impulse in an acoustic space, you'll need to set up your playback system, speakers, microphones and recording system in the space. Microphone placement is crucial to the outcome. The distance between the speakers and the microphone will be the perceived distance of a sound processed with the impulse you create. In other words, if you record the test tone with the speakers at a distance of 100 feet from the microphones, any sound you process with the resulting impulse will sound like it is at a distance of 100 feet.

  • If you are recording an impulse from an electronic device, simply hook up the playback system outputs to the electronic device’s inputs. Then, hook up the electronic device’s outputs to the recording system’s inputs.

  3. Start playback of the test tone and set the levels appropriately on the recording device. The test tone should be played as loud as possible (or practical) to gain the best signal-to-noise ratio.

  4. Start recording on the recording device and then begin playback of the test tone. Remember to include the spikes at the beginning and end of the test tone, and be sure to save the file as a .wav.

Record the impulse more than once in each location, and then move the microphones to different locations.

Recovering the impulse

Once you have recorded a test tone through a system, it must be processed and converted into an impulse response.

  1. Open the recording of the test tone you made (not the pure, generated test tone but the room-processed output test tone) in Sound Forge.

  2. From the View menu, choose Zoom in Full and delete all audio before the first timing spike (do not delete the spike itself).

  3. Delete all data from the start of the second spike to the end of the file.

  4. Save the file. You should now have a sound file with a spike at the beginning, a test tone, and then silence (the second spike will have been deleted).

  5. From the Effects menu, choose Acoustic Mirror and select the Recover tab.

  6. In the Recorded file box, select the file you saved in Step 4.

  7. In the Test file used box, select the original test file used to create the file in the Recorded file box. This should be a file in the Test Tones folder on the Sound Forge CD-ROM.

  8. In the Impulse output file box, enter the name of the impulse response file you want to create. You can specify a folder by using the Browse button.

In most cases, you will want to leave the Remove very low frequencies check box selected.

  9. Select the Use start and end of the recorded file as timing spikes radio button.

  10. Click the Recover Impulse button.

  11. To modify the impulse's summary information or embed a picture, use the Sound Forge Summary dialog.

Using Acoustic Mirror for post-production

If you plan on overdubbing dialog recorded in the field or adding sound effects, you could create an impulse in each of the locations you are filming in and process the new effects and dialog with those impulses during post production.

This will add more realism to the production and alleviate much of the tedium in trying to recreate the correct ambiance using standard reverb effects.

There are few things to keep in mind, however:

  • Distance information is determined by how far the microphone is from the speaker when creating the impulse. Therefore, you should create multiple impulses at different distances for each location to create the necessary realism.

  • Because the human ear’s frequency response changes with the overall level of a sound, impulses that were created at great distances may sound strange when listened to at loud levels.

  • Placing the speakers left or right of the microphones when recording can create more directional information in the recovered impulse. For example, you can make the impulse sound as if it is coming from left if you place the speakers to the left of the microphones.

Troubleshooting impulses

Impulses do not recover correctly

If you are experiencing problems when recovering your own impulse recordings, make sure that you have done the following:

  1. Trim the test tone file and choose an appropriate Impulse recovery mode on the Recover tab. In general, the test tone should be 1.5 seconds or less.

  2. The second spike must exist in the recorded file if you have the Auto-detect timing spikes check box selected.

  3. The file specified in the Test file used box must be the same file you used to when making the recording. Do not change its length or data.

  4. If the impulse still is not recovered correctly and the Auto-detect timing spikes radio button is selected, try normalizing the timing spikes. This can help the auto-detect algorithm detect the spikes and recover the impulse correctly.

  5. The output impulse file should be trimmed so that the peak orccurs within the first few samples. To prevent phase problems when mixing the dry and wet signals, check the phase of the impulse file to ensure that it goes positive (above the centerline) before it goes negative. A simple Invert will fix this problem.

Impulse recordings derived from electronic devices producing nonlinear effects such as overdrives, distortion boxes, pitch shifters, harmonic enhancers, choruses, and flangers cannot be modeled with the Acoustic Mirror. The effects are usually interesting, but the desired effect will not be correctly replicated.

Excessive noise in the recovered impulse

To maximize the impulse’s signal-to-noise ratio, ensure the field recording’s noise floor is not too high. When recording in noisy environments, you must increase the test tone’s amplitude so that the test tone is at least 25 dB louder than the noise floor. At least 40 dB of signal to noise is recommended. For very noisy recordings, Sonic Foundry’s Noise Reduction plug-in can salvage a session.

Nonlinear distortion can cause impulses to be noisy. The most common nonlinear distortion is loudspeaker harmonics. All speakers have rather large amount of harmonic distortion at low frequencies: when you play a 60-Hz tone, the speaker not only vibrates at 60 Hz, it also outputs low-level sounds at 120 Hz, 180 Hz, and so on. Impulse recovery minimizes these low-frequency distortions. In general, do not overdrive the speaker and do not use low-quality components.

Sony’s Extended Shock Protection (ESP) technology compresses audio so that portable CD players can store audio in memory to prevent skipping. The audio compression can also produce distortion in high frequencies. If you're recording your test tone from a portable CD player, turn off ESP. r large amount of harmonic distortion at low frequencies: when you play a 60-Hz tone, the speaker not only vibrates at 60 Hz, it also outputs low-level sounds at 120 Hz, 180 Hz, and so on. Impulse recovery minimizes these low-frequency distortions. In general, do not overdrive the speaker and do not use low-quality components.

Sony’s Extended Shock Protection (ESP) technology compresses audio so that portable CD players can store audio in memory to prevent skipping. The audio compression can also produce distortion in high frequencies. If you're recording your test tone from a portable CD player, turn off ESP.


Using Fade Envelopes with Acoustic Mirror

Use the Envelope tab to alter the volume envelope and length of an impulse file. The Wet Out, Dry Out, Impulse File, and Apply envelope and limit decay controls are the duplicated from the General tab.

When you choose an impulse file, the Attributes, Author, Copyright, and Comments fields display information embedded into the impulse files. The Comments field will usually contain location information, as well as the distance between the microphone and speakers used in the field recording.

Selecting the Apply envelope and limit decay check box enables the Envelope Graph. The horizontal and vertical axes of the impulse file graph represent time and peak amplitude. Use the Envelope Graph to adjust the length of the impulse file—which modifies the reverberation decay time and processing time—or to apply a fade to the impulse file.

Impulse files longer than 6 seconds will not be displayed.

What do you want to do?

Limit the length of an impulse file

  1. Select the Apply envelope and limit decay check box.

  2. Hover over the red line until your mouse pointer is displayed as a two-way arrow.

  3. Drag the red envelope endpoint line to the desired point along the timeline.

Apply a fade envelope

  1. Select the Apply envelope and limit decay check box.

  2. Adjust the envelope to achieve the desired sound:

  • Drag the small boxes (envelope points) up or down.

  • To create a new envelope point, click on any point of the envelope.

  • To delete an envelope point, click it with the right mouse button, or double-click it with the left mouse button.).

Package an impulse with a preset

If you create a preset for Acoustic Mirror, you can click the Package Impulse Into Preset button to embed the selected impulse file into the current preset. When you embed the impulse file, you can use the preset on multiple computers without copying the impulse file separately.


Advanced Panning

Acoustic Mirror allows you to use head-related transfer functions (HRTF) to apply advanced panning to your files.

Best results are achieved when using headphones and when the original file is monaural. You should first convert the file to a stereo format by replicating the mono channel to two tracks.

You can also use the HRTF impulses as channel-dependent equalization.

The TBD\HRTF folder includes a collection of impulse files containing directional cues. The files included are separated into Left and Right folders. The two numbers in each file name indicate the elevation (up or down) and azimuth (left or right) angles in degrees. For example:

File Name | Description
0E000L | Straight ahead
0E090L | Far Left
0E090R | Far Right
90E000L | Completely above your head
0E180L | Behind you
-20E120L | A bit below you, behind you, and to your left

To create your own HRTF impulse files, use a dummy head with a microphone in each ear. Rotating a loudspeaker around the dummy head and create different impulse response files for various loudspeaker locations.


Head-Related Transfer Function

Sounds are percieved differently depending on the direction the sound comes from. This occurs because of the echoes bouncing from your shoulders and nose and the shape of your ears. A head-related transfer function contains the frequency and phase response information required to make a sound appear to originate from a certain direction in 3-dimensional space.


About Acoustic Mirror

Acoustic Mirror

Available only in Sound Forge

Effects Menu

You can use Acoustic Mirror to add the acoustical coloration of real environments and sound-altering devices to existing recordings. Depending on the acoustics signature applied, Acoustic Mirror can simulate responses varying from large concert halls to the sound of vintage microphones.

Sound Forge includes an extensive library of extremely high-quality acoustic signatures (impulse responses) that you can use to simulate the acoustics of many different environments.

What do you want to do?

Use Acoustic Mirror

Create an impulse file

Use fade envelopes

Perform advanced panning


Welcome

Sonic Foundry
Acoustic Mirror

Copyright ©2000 Sonic Foundry, Inc

Visit Sonic Foundry on the Web All Rights Reserved

Rev. 10/11/00